Data - Retrieve Classes

يسترجع قائمة الفئات وخصائصها.

POST http://<Servername>/OperationsManager/data/scomClasses

نص الطلب

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

الاسم النوع الوصف
criteria

string

تحديد معايير البحث

الاستجابات

الاسم النوع الوصف
200 OK

ScopeDataResponse

موافق. تم استرداد قائمة الفئات وخصائصها بنجاح.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

أمثلة

RetrieveClasses

نموذج الطلب

POST http://<Servername>/OperationsManager/data/scomClasses

[
  "DisplayName LIKE '%.net windows%'"
]

استجابة العينة

{
  "scopeDatas": [
    {
      "id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
      "displayName": ".NET Windows Service",
      "className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
      "path": null,
      "fullName": null
    }
  ]
}

التعريفات

الاسم الوصف
ScopeData
ScopeDataResponse

ScopeData

الاسم النوع الوصف
className

string

اسم الفئة

displayName

string

اسم العرض

fullName

string

الاسم الكامل

id

string

معرف

path

string

المسار

ScopeDataResponse

الاسم النوع الوصف
scopeDatas

ScopeData[]

بيانات النطاق